Fetch Batch Details
curl --request GET \
--url https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"batch_id": "ad1a0a29-5a7f-4982-98cc-3f4416724660",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_amount": 456,
"source_currency": "USD",
"remarks": "<string>",
"reason": "<string>",
"status": "PROCESSING",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exchange_rate": 135,
"destination_currency": "BDT",
"destination_amount": 261,
"developer_fee": {
"fixed": 123,
"percentage": 123,
"total": 123
}
}
]
}
}{
"message": "Authentication failed"
}Batch Transfer
Fetch Batch Details
Retrieve detailed information about a batch transaction including all items and their statuses
GET
/
v1
/
batch
/
transactions
/
commit
/
{batch_id}
Fetch Batch Details
curl --request GET \
--url https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/batch/transactions/commit/{batch_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"batch_id": "ad1a0a29-5a7f-4982-98cc-3f4416724660",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_amount": 456,
"source_currency": "USD",
"remarks": "<string>",
"reason": "<string>",
"status": "PROCESSING",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exchange_rate": 135,
"destination_currency": "BDT",
"destination_amount": 261,
"developer_fee": {
"fixed": 123,
"percentage": 123,
"total": 123
}
}
]
}
}{
"message": "Authentication failed"
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Batch details retrieved successfully
Show child attributes
Show child attributes
⌘I
